Last Comment Bug 195621 - Back out taint-related changes from bug 160710
: Back out taint-related changes from bug 160710
Status: RESOLVED FIXED
:
Product: Bugzilla
Classification: Server Software
Component: User Accounts (show other bugs)
: 2.17.3
: All All
: -- normal (vote)
: Bugzilla 2.18
Assigned To: Gervase Markham [:gerv]
: default-qa
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-02 05:47 PST by Gervase Markham [:gerv]
Modified: 2012-12-18 20:46 PST (History)
2 users (show)
justdave: approval+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch v.1 (1.25 KB, patch)
2003-03-02 05:49 PST, Gervase Markham [:gerv]
justdave: review+
Details | Diff | Splinter Review

Description Gervase Markham [:gerv] 2003-03-02 05:47:56 PST
In bug 160710 we changed the nice:
-  [% PROCESS "account/prefs/${current_tab.name}.html.tmpl" IF
current_tab.name.defined %]

to a nasty hard-coded switch-like thing, for perl 5.005 taint reasons. Now we
are 5.6 only, we can restore the old code.

Gerv
Comment 1 Gervase Markham [:gerv] 2003-03-02 05:49:35 PST
Created attachment 116026 [details] [diff] [review]
Patch v.1

Here we are.

Gerv
Comment 2 Bradley Baetz (:bbaetz) 2003-03-02 12:05:41 PST
Does this work with 5.6.0? That still had some of the bugs relating to this.
Comment 3 Gervase Markham [:gerv] 2003-03-03 14:19:41 PST
Er... I dunno :-) Who still uses 5.6.0 that we can get to test it?

Gerv
Comment 4 Dave Miller [:justdave] (justdave@bugzilla.org) 2003-03-03 15:38:34 PST
The jdr200 tinderbox machine has 5.6.0 on it still.  I can try it there.
Comment 5 Bradley Baetz (:bbaetz) 2003-03-03 23:00:50 PST
Anyone with OSX, ie justdave :)
Comment 6 Gervase Markham [:gerv] 2003-03-11 15:06:51 PST
Dave: are you going to be able to test this?

Gerv
Comment 7 Dave Miller [:justdave] (justdave@bugzilla.org) 2003-03-21 21:08:09 PST
Comment on attachment 116026 [details] [diff] [review]
Patch v.1

works on 5.6.0 osx
Comment 8 Gervase Markham [:gerv] 2003-03-24 13:33:17 PST
Fixed.

Checking in template/en/default/account/prefs/prefs.html.tmpl;
/cvsroot/mozilla/webtools/bugzilla/template/en/default/account/prefs/prefs.html.tmpl,v
 <--  prefs.html.tmpl
new revision: 1.10; previous revision: 1.9
done

Gerv

Note You need to log in before you can comment on or make changes to this bug.